import { World } from "@rbxts/matter"
import { ClientState } from "ReplicatedStorage/ecs/state"
import { WorldContext } from "./ui/contexts/worldContext"
import Roact from "@rbxts/roact"
import Main from "./ui/main"
import { ReflexProvider } from "@rbxts/roact-reflex"
import { producer } from "ReplicatedStorage/ui/store/producer"

const showGUI = (world: World, state: ClientState): void => {
    const playerGui = state.player.WaitForChild("PlayerGui") as PlayerGui
    const tree = (
        <WorldContext.Provider value={{ world: world, clientState: state }}>
            <ReflexProvider producer={producer}>
                <Main/>
            </ReflexProvider>
        </WorldContext.Provider>
    )
    Roact.mount(tree, playerGui, "gooplerGUI")
}

export default showGUI