import { World } from "@rbxts/matter"
import Roact from "@rbxts/roact"
import { useContext } from "@rbxts/roact-hooked"
import { ClientState } from "ReplicatedStorage/ecs/state"

interface WorldContextProps {
	world: World
	clientState: ClientState
}

export const WorldContext = Roact.createContext<WorldContextProps | undefined>(undefined)

export function useWorldContext(): WorldContextProps {
	const context = useContext(WorldContext)
	if (!context) {
		error("useContext must be called within a Provider")
	}
	return context
}