import Roact from "@rbxts/roact"
import Hotbar from "./hotbar/hotbar"
import { withHookDetection } from "@rbxts/roact-hooked"

interface MainProps extends Roact.JsxInstanceEvents<ScreenGui> {
    Event?: Roact.JsxInstanceEvents<ScreenGui>
    Change?: Roact.JsxInstanceChangeEvents<ScreenGui>
}

export default function main(props: MainProps): Roact.Element {
    const spreadableProps = { ...props } as Partial<MainProps>

    withHookDetection(Roact)
    
    return (
        <screengui ResetOnSpawn={false} {...spreadableProps}>
            <Hotbar
                Position={new UDim2(0.5, 0, 1, 0)}
                AnchorPoint={new Vector2(0.5, 1)}
                Size={new UDim2(1, 0, 0.2, 0)}
            />
        </screengui>
    )
}